Package org.globus.rsl

# Interface RSLParserConstants

All Known Implementing Classes:
  `RSLParser`, `RSLParserTokenManager`

public interface RSLParserConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AND`
`static final int`
`CHARACTER`
`static final int`
`DEFAULT`
`static final int`
`DIGIT`
`static final int`
`DOUBLE_QUOTED_LITERAL`
`static final int`
`EOF`
`static final int`
`EQUAL`
`static final int`
`GREATER_THAN`
`static final int`
`GREATER_THAN_EQUAL`
`static final int`
`LESS_THAN`
`static final int`
`LESS_THAN_EQUAL`
`static final int`
`LPAREN`
`static final int`
`MULTI`
`static final int`
`NOT_EQUAL`
`static final int`
`OR`
`static final int`
`OTHER_CHAR`
`static final int`
`RPAREN`
`static final int`
`SINGLE_QUOTED_LITERAL`
`static final String[]`
`tokenImage`
`static final int`
`UNQUOTED_LITERAL`
`static final int`
`VARIABLES`
`static final int`
`VARIABLES_DQUOTE`
`static final int`
`VARIABLES_SQUOTE`
`static final int`
`VARSTART`

## Field Details

### EOF

static final int EOF

See Also:
  - Constant Field Values

### EQUAL

static final int EQUAL

See Also:
  - Constant Field Values

### NOT_EQUAL

static final int NOT_EQUAL

See Also:
  - Constant Field Values

### GREATER_THAN

static final int GREATER_THAN

See Also:
  - Constant Field Values

### GREATER_THAN_EQUAL

static final int GREATER_THAN_EQUAL

See Also:
  - Constant Field Values

### LESS_THAN

static final int LESS_THAN

See Also:
  - Constant Field Values

### LESS_THAN_EQUAL

static final int LESS_THAN_EQUAL

See Also:
  - Constant Field Values

### AND

static final int AND

See Also:
  - Constant Field Values

### OR

static final int OR

See Also:
  - Constant Field Values

### MULTI

static final int MULTI

See Also:
  - Constant Field Values

### RPAREN

static final int RPAREN

See Also:
  - Constant Field Values

### LPAREN

static final int LPAREN

See Also:
  - Constant Field Values

### VARSTART

static final int VARSTART

See Also:
  - Constant Field Values

### VARIABLES

static final int VARIABLES

See Also:
  - Constant Field Values

### VARIABLES_DQUOTE

static final int VARIABLES_DQUOTE

See Also:
  - Constant Field Values

### VARIABLES_SQUOTE

static final int VARIABLES_SQUOTE

See Also:
  - Constant Field Values

### CHARACTER

static final int CHARACTER

See Also:
  - Constant Field Values

### DIGIT

static final int DIGIT

See Also:
  - Constant Field Values

### OTHER_CHAR

static final int OTHER_CHAR

See Also:
  - Constant Field Values

### UNQUOTED_LITERAL

static final int UNQUOTED_LITERAL

See Also:
  - Constant Field Values

### DOUBLE_QUOTED_LITERAL

static final int DOUBLE_QUOTED_LITERAL

See Also:
  - Constant Field Values

### SINGLE_QUOTED_LITERAL

static final int SINGLE_QUOTED_LITERAL

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT

See Also:
  - Constant Field Values

### tokenImage

static final String[] tokenImage